﻿namespace CoreLibrary.Exceptions
{
    /// <summary>
    /// Exception levée lorsqu'un code incomplet est ajouté à la grille.
    /// </summary>
    public class CodeIncompletException : Exception
    {
        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="CodeIncompletException"/>.
        /// </summary>
        public CodeIncompletException() :
            base("Le code que vous essayez d'ajouter dans la grille n'est pas complet.")
        { }
    }
}
