﻿namespace CoreLibrary.Exceptions
{
    /// <summary>
    /// Exception levée lorsqu'un jeton est supprimé d'un code qui est déjà vide.
    /// </summary>
    public class CodeVideException : Exception
    {
        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="CodeVideException"/>.
        /// </summary>
        public CodeVideException() :
            base("Le code dans lequel vous essayez de supprimer un jeton est déjà vide.")
        { }
    }
}
