﻿namespace CoreLibrary.Exceptions
{
    /// <summary>
    /// Exception levée lorsqu'un code est ajouté à une grille qui est déjà complète.
    /// </summary>
    public class GrilleCompleteException : Exception
    {
        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="GrilleCompleteException"/>.
        /// </summary>
        public GrilleCompleteException() :
            base("La grille dans laquelle vous essayez d'ajouter un code est déjà complète.")
        { }
    }
}
