﻿namespace CoreLibrary.Exceptions
{
    /// <summary>
    /// Exception levée lorsqu'un jeton est ajouté à un code déjà complet.
    /// </summary>
    public class CodeCompletException : Exception
    {
        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="CodeCompletException"/>.
        /// </summary>
        public CodeCompletException() :
            base("Le code dans lequel vous essayez d'ajouter un jeton est déjà complet.")
        { }
    }
}
