﻿namespace CoreLibrary.Exceptions
{
    /// <summary>
    /// Exception levée lorsqu'une opération est tentée alors que la partie n'a pas encore commencé.
    /// </summary>
    public class PartieNonCommenceeException : Exception
    {
        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="PartieNonCommenceeException"/>.
        /// </summary>
        public PartieNonCommenceeException() :
            base("La partie n'a pas encore commencée.")
        { }
    }
}
